import { InProductTestCase } from '@atlaskit/in-product-testing';
import { InlineCardPageObject, inlineSmartLinkRendersTestCase } from '@atlaskit/smart-card/in-product';
import { EditorPageObject } from '../../../../page-objects/Editor';
import { EditorSmartLinkPageObject } from '../../../../page-objects/EditorSmartLink';
export var editInlineSmartLinkTitleTestCase = function editInlineSmartLinkTitleTestCase(_ref) {
  var ui = _ref.ui,
    url = _ref.url;
  return new InProductTestCase({
    title: 'editing an Inline Smart Link renders as Blue Link (title)',
    id: 'inline-smart-link-edit-title',
    assertions: function assertions(cy) {
      var editor = new EditorPageObject(cy);
      var editorWithSmartLinks = new EditorSmartLinkPageObject(cy, editor);
      var inlineCard = new InlineCardPageObject(cy);
      editorWithSmartLinks.insertSmartLinkByTyping(url);
      inlineSmartLinkRendersTestCase({
        url: url
      }).assertions(cy);
      editorWithSmartLinks.changeLinkLabel('Avocorne is watching you 🥑');
      inlineCard.assertHrefRendered(url);
      inlineCard.expectCardNotExists();
      if (ui !== null && ui !== void 0 && ui.publishButton) {
        var renderer = editor.publish(ui);
        renderer.expectContentReady();
        inlineCard.assertHrefRendered(url);
        inlineCard.expectCardNotExists();
      }
    }
  });
};
export var editInlineSmartLinkUrlTestCase = function editInlineSmartLinkUrlTestCase(_ref2) {
  var ui = _ref2.ui,
    url = _ref2.url;
  return new InProductTestCase({
    title: 'editing an Inline Smart Link renders as Blue Link (URL)',
    id: 'inline-smart-link-edit',
    assertions: function assertions(cy) {
      var editor = new EditorPageObject(cy);
      var editorWithSmartLinks = new EditorSmartLinkPageObject(cy, editor);
      var inlineCard = new InlineCardPageObject(cy);
      editorWithSmartLinks.insertSmartLinkByTyping(url);
      inlineSmartLinkRendersTestCase({
        url: url
      }).assertions(cy);
      var newUrl = 'https://avo.corne.com';
      editorWithSmartLinks.changeLinkUrl(newUrl);
      inlineCard.expectCardNotExists();
      inlineCard.assertHrefRendered(newUrl);
      if (ui !== null && ui !== void 0 && ui.publishButton) {
        var renderer = editor.publish(ui);
        renderer.expectContentReady();
        inlineCard.assertHrefRendered(newUrl);
        inlineCard.expectCardNotExists();
      }
    }
  });
};